svn::ContextListener Class Referenceabstract

`#include <context_listener.hpp>`

## Data Structures

struct | SslServerTrustData

## Public Types

enum | SslServerTrustAnswer { DONT_ACCEPT = 0, ACCEPT_TEMPORARILY, ACCEPT_PERMANENTLY }

## Public Member Functions

virtual bool | contextGetLogin (const std::string &realm, std::string &username, std::string &password, bool &maySave)=0
virtual void | contextNotify (const char *path, svn_wc_notify_action_t action, svn_node_kind_t kind, const char *mime_type, svn_wc_notify_state_t content_state, svn_wc_notify_state_t prop_state, svn_revnum_t revision)=0
virtual bool | contextCancel ()=0
virtual bool | contextGetLogMessage (std::string &msg)=0
virtual SslServerTrustAnswer | contextSslServerTrustPrompt (const SslServerTrustData &data, apr_uint32_t &acceptedFailures)=0
virtual bool | contextSslClientCertPrompt (std::string &certFile)=0
virtual bool | contextSslClientCertPwPrompt (std::string &password, const std::string &realm, bool &maySave)=0
virtual | ~ContextListener ()

## Detailed Description

This is the interface that is used by Context for callbacks. To use this you will have to inherit from this interface and overwrite the virtual methods.

## Member Enumeration Documentation

enum svn::ContextListener::SslServerTrustAnswer

Enumerator
DONT_ACCEPT |
ACCEPT_TEMPORARILY |
ACCEPT_PERMANENTLY |

## Constructor & Destructor Documentation

virtual svn::ContextListener::~ContextListener | ( |  | ) |

inline virtual

## Member Function Documentation

virtual bool svn::ContextListener::contextCancel | ( |  | ) |

pure virtual

virtual bool svn::ContextListener::contextGetLogin | ( | const std::string & | realm,
|  | std::string & | username,
|  | std::string & | password,
|  | bool & | maySave
| ) |  |

pure virtual

this method will be called to retrieve authentication information

WORKAROUND FOR apr_xlate PROBLEM: STRINGS ALREADY HAVE TO BE UTF8!!!

Parameters

  username |
  realm | in which username/password will be used
  password |
  maySave | in/out set false to not save

Returns
  continue action?

Return values

  true | continue

virtual bool svn::ContextListener::contextGetLogMessage | ( | std::string & | msg | ) |

pure virtual

this method will be called to retrieve a log message

WORKAROUND FOR apr_xlate PROBLEM: STRINGS ALREADY HAVE TO BE UTF8!!!

Parameters

  msg | log message

Returns
  continue action?

Return values

  true | continue

virtual void svn::ContextListener::contextNotify | ( | const char * | path,
|  | svn_wc_notify_action_t | action,
|  | svn_node_kind_t | kind,
|  | const char * | mime_type,
|  | svn_wc_notify_state_t | content_state,
|  | svn_wc_notify_state_t | prop_state,
|  | svn_revnum_t | revision
| ) |  |

pure virtual

this method will be called to notify about the progress of an ongoing action

Parameters

  path |
  action |
  kind |
  mime_type |
  content_state |
  prop_state |
  revision |

virtual bool svn::ContextListener::contextSslClientCertPrompt | ( | std::string & | certFile | ) |

pure virtual

this method is called to retrieve client side information

virtual bool svn::ContextListener::contextSslClientCertPwPrompt | ( | std::string & | password,
|  | const std::string & | realm,
|  | bool & | maySave
| ) |  |

pure virtual

this method is called to retrieve the password for the client certificate

Parameters

  password |
  realm |
  maySave |

virtual SslServerTrustAnswer svn::ContextListener::contextSslServerTrustPrompt | ( | const SslServerTrustData & | data,
|  | apr_uint32_t & | acceptedFailures
| ) |  |

pure virtual

this method is called if there is ssl server information, that has to be confirmed by the user

Parameters

  data |
  acceptedFailures |

Returns
  SslServerTrustAnswer

The documentation for this class was generated from the following file:

- context_listener.hpp